Index: /extensions/admin_multi_view/controller.php
===================================================================
--- /extensions/admin_multi_view/controller.php	(revision 28693)
+++ /extensions/admin_multi_view/controller.php	(revision 28693)
@@ -0,0 +1,265 @@
+<?php
+define('MULTIVIEW_CONTROLLER', 1);
+define('PHPWG_ROOT_PATH','../../');
+include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
+
+if (!is_admin() or !function_exists('multiview_user_init') )
+{
+  pwg_unset_session_var( 'multiview_as' );
+  pwg_unset_session_var( 'multiview_theme' );
+  pwg_unset_session_var( 'multiview_lang' );
+  pwg_unset_session_var( 'multiview_show_queries' );
+  pwg_unset_session_var( 'multiview_debug_l10n' );
+  pwg_unset_session_var( 'multiview_debug_template' );
+	pwg_unset_session_var( 'multiview_template_combine_files' );
+  pwg_unset_session_var( 'multiview_no_history' );
+?>
+
+<script type="text/javascript">
+  window.close();
+</script>
+<?php
+  exit();
+}
+?>
+<!DOCTYPE html">
+<?php
+
+$refresh_main = false;
+
+if ( isset($_GET['view_as']) )
+{
+  if ($user['id']===$_GET['view_as'])
+    pwg_unset_session_var( 'multiview_as' );
+  else
+    pwg_set_session_var( 'multiview_as', (int)$_GET['view_as'] );
+  // user change resets theme/lang
+  pwg_unset_session_var( 'multiview_theme' );
+  pwg_unset_session_var( 'multiview_lang' );
+  $refresh_main = true;
+}
+if (pwg_get_session_var( 'multiview_as', $user['id']) != $user['id'] )
+  $view_as_user = build_user( pwg_get_session_var( 'multiview_as',0), false);
+else
+  $view_as_user = $user;
+
+if ( isset($_GET['theme']) )
+{
+  pwg_set_session_var( 'multiview_theme', $_GET['theme'] );
+  $refresh_main = true;
+}
+
+if ( isset($_GET['lang']) )
+{
+  pwg_set_session_var( 'multiview_lang', $_GET['lang'] );
+  $refresh_main = true;
+}
+
+if ( isset($_GET['show_queries']) )
+{
+  if ( $_GET['show_queries']> 0 )
+    pwg_set_session_var( 'multiview_show_queries', 1 );
+  else
+    pwg_unset_session_var( 'multiview_show_queries' );
+  $refresh_main = true;
+}
+
+if ( isset($_GET['debug_l10n']) )
+{
+  if ( $_GET['debug_l10n']>0 )
+    pwg_set_session_var( 'multiview_debug_l10n', 1 );
+  else
+    pwg_unset_session_var( 'multiview_debug_l10n' );
+  $refresh_main = true;
+}
+
+
+if ( isset($_GET['debug_template']) )
+{
+  if ( $_GET['debug_template']>0 )
+    pwg_set_session_var( 'multiview_debug_template', 1 );
+  else
+    pwg_unset_session_var( 'multiview_debug_template' );
+  $refresh_main = true;
+}
+
+if ( isset($_GET['template_combine_files']) )
+{
+  if ( $_GET['template_combine_files']==0 )
+    pwg_set_session_var( 'multiview_template_combine_files', 0 );
+  else
+    pwg_unset_session_var( 'multiview_template_combine_files' );
+  $refresh_main = true;
+}
+
+
+if ( isset($_GET['no_history']) )
+{
+  if ( $_GET['no_history']>0 )
+    pwg_set_session_var( 'multiview_no_history', 1 );
+  else
+    pwg_unset_session_var( 'multiview_no_history' );
+  $refresh_main = true;
+}
+
+if ( isset($_GET['purge_template']) )
+{
+  pwg_set_session_var( 'purge_template', 1 );
+  $refresh_main = true;
+}
+
+$my_url = get_root_url().'plugins/'.basename(dirname(__FILE__)).'/'.basename(__FILE__);
+
+// +-----------------------------------------------------------------------+
+// | users                                                                 |
+$query = '
+SELECT '.$conf['user_fields']['id'].' AS id,'.$conf['user_fields']['username'].' AS username
+FROM '.USERS_TABLE.'
+  ORDER BY CONVERT('.$conf['user_fields']['username'].',CHAR)
+;';
+$user_map = simple_hash_from_query($query, 'id', 'username');
+
+$users_html = '<select onchange="document.location = this.options[this.selectedIndex].value;">';
+foreach( $user_map as $id=>$username)
+{
+  $selected = ($id==$view_as_user['id']) ? 'selected="selected"' : '';
+  $users_html .=
+    '<option value="'
+    .$my_url.'?view_as='.$id
+    .'" '.$selected.'>'
+    .$username
+    .'</option>';
+}
+$users_html.= '</select>';
+
+
+// +-----------------------------------------------------------------------+
+// | templates                                                             |
+$my_theme = '';
+$themes_html='<select onchange="document.location = this.options[this.selectedIndex].value;">';
+include_once(PHPWG_ROOT_PATH.'admin/include/themes.class.php');
+$themes = new themes();
+foreach ($themes->fs_themes as $pwg_theme => $fs_theme)
+{
+  $selected = $pwg_theme == pwg_get_session_var( 'multiview_theme', $view_as_user['theme'] ) ? 'selected="selected"' : '';
+  $my_theme = $selected == '' ? $my_theme : 'themes/'.$view_as_user['theme'];
+  $themes_html .=
+    '<option value="'
+    .$my_url.'?theme='.$pwg_theme
+    .'" '.$selected.'>'
+    .$pwg_theme
+    .'</option>';
+}
+$themes_html .= '</select>';
+
+// +-----------------------------------------------------------------------+
+// | language                                                              |
+$lang_html='<select onchange="document.location = this.options[this.selectedIndex].value;">';
+foreach (get_languages() as $language_code => $language_name)
+{
+  $selected = $language_code == pwg_get_session_var( 'multiview_lang', $view_as_user['language'] ) ? 'selected="selected"' : '';
+  $lang_html .=
+    '<option value="'
+    .$my_url.'?lang='.$language_code
+    .'" '.$selected.'>'
+    .$language_name
+    .'</option>';
+}
+$lang_html .= '</select>';
+
+// +-----------------------------------------------------------------------+
+// | show queries                                                          |
+$show_queries_html='';
+if (!$conf['show_queries'])
+{
+  if ( !pwg_get_session_var( 'multiview_show_queries', 0 ) )
+    $show_queries_html.='<a href="'.$my_url.'?show_queries=1">Show SQL queries</a>';
+  else
+    $show_queries_html.='<a href="'.$my_url.'?show_queries=0">Hide SQL queries</a>';
+}
+
+// +-----------------------------------------------------------------------+
+// | debug language                                                        |
+$debug_l10n_html='';
+if (!$conf['debug_l10n'])
+{
+  if ( !pwg_get_session_var( 'multiview_debug_l10n', 0 ) )
+    $debug_l10n_html.='<a href="'.$my_url.'?debug_l10n=1">Debug language</a>';
+  else
+    $debug_l10n_html.='<a href="'.$my_url.'?debug_l10n=0">Revert debug language</a>';
+}
+
+// +-----------------------------------------------------------------------+
+// | debug template                                                        |
+$debug_template_html='';
+if (!$conf['debug_template'])
+{
+  if ( !pwg_get_session_var( 'multiview_debug_template', 0 ) )
+    $debug_template_html.='<a href="'.$my_url.'?debug_template=1">Debug template</a>';
+  else
+    $debug_template_html.='<a href="'.$my_url.'?debug_template=0">Revert debug template</a>';
+}
+
+// +-----------------------------------------------------------------------+
+// | template combine files                                                |
+$template_combine_files_html='';
+if ($conf['template_combine_files'])
+{
+  if ( pwg_get_session_var( 'multiview_template_combine_files', 1 ) )
+    $template_combine_files_html.='<a href="'.$my_url.'?template_combine_files=0">Don\'t combine js&amp;css</a>';
+  else
+    $template_combine_files_html.='<a href="'.$my_url.'?template_combine_files=1">Combine js&amp;css</a>';
+}
+
+// +-----------------------------------------------------------------------+
+// | no history                                                            |
+$no_history_html='';
+if ( !pwg_get_session_var( 'multiview_no_history', 0 ) )
+  $no_history_html.='<a href="'.$my_url.'?no_history=1">Don\'t save to visit history</a>';
+else
+  $no_history_html.='<a href="'.$my_url.'?no_history=0">Save to visit history</a>';
+
+?>
+<html>
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=<?php echo get_pwg_charset() ?>">
+<style>
+BODY, TABLE {
+  font-family: sans-serif;
+  font-size: small;
+}
+BODY{
+  margin: 2px;
+}
+</style>
+<title>Controller</title>
+
+</head>
+<body>
+<div>
+<script type="text/javascript">
+if (window.opener==null) {
+  window.close();
+  document.write("<"+"h2>How did you get here ???<"+"/h2>");
+}
+</script>
+
+<table>
+<tr><td>User</td><td><?php echo $users_html; ?></td></tr>
+
+<tr><td>Theme</td><td><?php echo $themes_html; ?></td></tr>
+
+<tr><td>Lang</td><td><?php echo $lang_html; ?></td></tr>
+</table>
+<?php echo implode( "<br/>\n", array($show_queries_html, $debug_l10n_html, $debug_template_html, $template_combine_files_html, $no_history_html) ); ?>
+<br/><a href="<?php echo $my_url; ?>?purge_template">Purge compiled templates</a>
+
+<script type="text/javascript">
+<?php
+  if ($refresh_main) echo '
+window.opener.location = window.opener.location;';
+?>
+</script>
+</div>
+</body>
+</html>
Index: /extensions/admin_multi_view/index.php
===================================================================
--- /extensions/admin_multi_view/index.php	(revision 28693)
+++ /extensions/admin_multi_view/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/is_admin.inc.php
===================================================================
--- /extensions/admin_multi_view/is_admin.inc.php	(revision 28693)
+++ /extensions/admin_multi_view/is_admin.inc.php	(revision 28693)
@@ -0,0 +1,51 @@
+<?php
+if (! defined('MULTIVIEW_CONTROLLER') )
+{
+  global $user;
+  $view_as = pwg_get_session_var( 'multiview_as', 0 );
+  if ($view_as)
+  {
+    $user = build_user( $view_as, true);
+  }
+  $theme = pwg_get_session_var( 'multiview_theme', '' );
+  if ( !empty($theme) )
+  {
+    $user['theme'] = $theme;
+    unset($user['admin_theme']);
+  }
+  $lang = pwg_get_session_var( 'multiview_lang', '' );
+  if ( !empty($lang) )
+  {
+    $user['language'] = $lang;
+  }
+  global $conf;
+  if (pwg_get_session_var( 'multiview_show_queries', 0 ))
+    $conf['show_queries'] = true;
+  if (pwg_get_session_var( 'multiview_debug_l10n', 0 ))
+    $conf['debug_l10n'] = true;
+  if (pwg_get_session_var( 'multiview_debug_template', 0 ))
+    $conf['debug_template'] = true;
+  if (!pwg_get_session_var( 'multiview_template_combine_files', 1 ))
+    $conf['template_combine_files'] = false;
+  if (pwg_get_session_var( 'multiview_no_history', 0 ))
+    add_event_handler( 'pwg_log_allowed', create_function( '', 'return false;' ) );
+}
+
+add_event_handler('loc_end_page_header', 'multiview_loc_end_page_header');
+
+function multiview_loc_end_page_header()
+{
+  global $template;
+  $my_root_url = get_root_url().'plugins/'. basename(dirname(__FILE__)).'/';
+  $js =
+'<script type="text/javascript">
+var theController = window.open("", "mview_controller", "alwaysRaised=yes,dependent=yes,toolbar=no,height=200,width=220,menubar=no,resizable=yes,scrollbars=yes,status=no");
+if ( theController.location.toString()=="about:blank" || !theController.location.toString().match(/^(https?.*\/)controller\.php(\?.+)?$/))
+{
+  theController.location = "'.$my_root_url.'controller.php";
+}
+</script>';
+
+  $template->append( 'head_elements', $js );
+}
+?>
Index: /extensions/admin_multi_view/is_admin_template.inc.php
===================================================================
--- /extensions/admin_multi_view/is_admin_template.inc.php	(revision 28693)
+++ /extensions/admin_multi_view/is_admin_template.inc.php	(revision 28693)
@@ -0,0 +1,12 @@
+<?php
+if (! defined('MULTIVIEW_CONTROLLER') )
+{
+  if (pwg_get_session_var( 'purge_template', 0 ))
+  {
+    global $template;
+    $template->delete_compiled_templates();
+    FileCombiner::clear_combined_files();
+    pwg_unset_session_var( 'purge_template' );
+  }
+}
+?>
Index: /extensions/admin_multi_view/language/af_ZA/description.txt
===================================================================
--- /extensions/admin_multi_view/language/af_ZA/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/af_ZA/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Laat administrateurs toe om die gallery as 'n gas te sien en/of die taal en/of die tema onmiddelik te verander. Dit is handig om foute op te spoor...
Index: /extensions/admin_multi_view/language/af_ZA/index.php
===================================================================
--- /extensions/admin_multi_view/language/af_ZA/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/af_ZA/index.php	(revision 28693)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/ar_SA/description.txt
===================================================================
--- /extensions/admin_multi_view/language/ar_SA/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/ar_SA/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+يسمح للمسؤولين لمشاهدة المعرض كضيوف و / أو تغيير لغة و / أو واجهة عرض  . عملية لتصحيح التغييرات
Index: /extensions/admin_multi_view/language/ar_SA/index.php
===================================================================
--- /extensions/admin_multi_view/language/ar_SA/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/ar_SA/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/bg_BG/description.txt
===================================================================
--- /extensions/admin_multi_view/language/bg_BG/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/bg_BG/description.txt	(revision 28693)
@@ -0,0 +1,2 @@
+AdminMultiView - Админ мулти изглед
+Български [BG]
Index: /extensions/admin_multi_view/language/bg_BG/index.php
===================================================================
--- /extensions/admin_multi_view/language/bg_BG/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/bg_BG/index.php	(revision 28693)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/br_FR/description.txt
===================================================================
--- /extensions/admin_multi_view/language/br_FR/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/br_FR/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Ar merourien a c'hello gwellet ar palier evel an implijerien, ha cheñch yezh ha tem diwar nij. Talvoudus eo evit dizreinañ cheñchamantoù.
Index: /extensions/admin_multi_view/language/br_FR/index.php
===================================================================
--- /extensions/admin_multi_view/language/br_FR/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/br_FR/index.php	(revision 28693)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/ca_ES/description.txt
===================================================================
--- /extensions/admin_multi_view/language/ca_ES/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/ca_ES/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Aquest complement permet als administradors visualitzar la galeria com si fos un convidat, canviar d'idioma i tema sobre la marxa. Util per a tasques de depuracio.
Index: /extensions/admin_multi_view/language/cs_CZ/description.txt
===================================================================
--- /extensions/admin_multi_view/language/cs_CZ/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/cs_CZ/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Umožní administrátorùm pracovat s galerií jako hosté, mìnit jazyk a šablony vzhledu. Praktické na testování zmìn...
Index: /extensions/admin_multi_view/language/cs_CZ/index.php
===================================================================
--- /extensions/admin_multi_view/language/cs_CZ/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/cs_CZ/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/da_DK/description.txt
===================================================================
--- /extensions/admin_multi_view/language/da_DK/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/da_DK/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Giver administratorer mulighed for at se galleri som gæst og/eller ændre sprog og/eller tema med det samme. Praktisk til fejlsøgning af ændringer...
Index: /extensions/admin_multi_view/language/de_DE/description.txt
===================================================================
--- /extensions/admin_multi_view/language/de_DE/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/de_DE/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Erlaubt Administratoren, die Galerie als Gast oder in einer anderen Sprache anzusehen, ohne sich abzumelden. Praktisch z.B. für die Fehlersuche.
Index: /extensions/admin_multi_view/language/de_DE/index.php
===================================================================
--- /extensions/admin_multi_view/language/de_DE/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/de_DE/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/el_GR/description.txt
===================================================================
--- /extensions/admin_multi_view/language/el_GR/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/el_GR/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Επιτρέπει στους διαχειριστές να δουν την ιστοσελίδα ως επισκέπτες και / ή να αλλάξουν τη γλώσσα και / το θέμα σχετικά γρήγορα. Είναι πρακτικό χρήσιμο για τον εντοπισμό σφαλμάτων ...
Index: /extensions/admin_multi_view/language/en_UK/description.txt
===================================================================
--- /extensions/admin_multi_view/language/en_UK/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/en_UK/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Allows administrators to view gallery as guests and/or change the language and/or theme on the fly. Useful to debug changes...
Index: /extensions/admin_multi_view/language/en_UK/index.php
===================================================================
--- /extensions/admin_multi_view/language/en_UK/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/en_UK/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/eo_EO/description.txt
===================================================================
--- /extensions/admin_multi_view/language/eo_EO/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/eo_EO/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Permesas al la administrantoj vidi galerion kiel vizitantoj kaj/aŭ ŝanĝi la lingvon kaj/aŭ la temon dinamike. Utila por sencimigi ŝanĝojn...
Index: /extensions/admin_multi_view/language/es_ES/description.txt
===================================================================
--- /extensions/admin_multi_view/language/es_ES/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/es_ES/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Permite a los administradores ver la galería como un invitado y/o cambiar tanto el idioma como el tema sobre la marcha. Útiles para acciones de depuración...
Index: /extensions/admin_multi_view/language/es_ES/index.php
===================================================================
--- /extensions/admin_multi_view/language/es_ES/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/es_ES/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/et_EE/description.txt
===================================================================
--- /extensions/admin_multi_view/language/et_EE/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/et_EE/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Võimaldab administraatoritel samal ajal vaadata oma galeriid külalisena, ning vahetada keele ja teema. Asjalik kui tahad jälgida seadistusi ja muid muutusi...
Index: /extensions/admin_multi_view/language/et_EE/index.php
===================================================================
--- /extensions/admin_multi_view/language/et_EE/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/et_EE/index.php	(revision 28693)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/fa_IR/index.php
===================================================================
--- /extensions/admin_multi_view/language/fa_IR/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/fa_IR/index.php	(revision 28693)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/fi_FI/description.txt
===================================================================
--- /extensions/admin_multi_view/language/fi_FI/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/fi_FI/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Mahdollistaa ylläpitäjien tarkastella galleriaa sellaisena kuin vieraat sen näkevät, sekä vaihtaa kieltä ja teemaa lennosta.
Index: /extensions/admin_multi_view/language/fr_CA/description.txt
===================================================================
--- /extensions/admin_multi_view/language/fr_CA/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/fr_CA/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Permet aux administrateurs de voir la galerie en tant qu'invité et/ou changer la langue et/ou changer de thème à la volée. Pratique pour le débuggage...
Index: /extensions/admin_multi_view/language/fr_CA/index.php
===================================================================
--- /extensions/admin_multi_view/language/fr_CA/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/fr_CA/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/fr_FR/description.txt
===================================================================
--- /extensions/admin_multi_view/language/fr_FR/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/fr_FR/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Permet aux administrateurs de voir la galerie en tant qu'invité et/ou changer la langue et/ou changer de thème à la volée. Pratique pour le débuggage...
Index: /extensions/admin_multi_view/language/fr_FR/index.php
===================================================================
--- /extensions/admin_multi_view/language/fr_FR/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/fr_FR/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/gl_ES/description.txt
===================================================================
--- /extensions/admin_multi_view/language/gl_ES/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/gl_ES/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Permite ós administradores ver a galería como invitados, mudar o idioma, o tema ó voo. É útil para depurar os cambios ...
Index: /extensions/admin_multi_view/language/he_IL/description.txt
===================================================================
--- /extensions/admin_multi_view/language/he_IL/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/he_IL/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+אפשר למנהל ראשי לצפות בגלריה כאורח ו\או לשנות את השפה ו\או לשנות את הערכה. שימושי כדי לאתר באגים...
Index: /extensions/admin_multi_view/language/he_IL/index.php
===================================================================
--- /extensions/admin_multi_view/language/he_IL/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/he_IL/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/hr_HR/description.txt
===================================================================
--- /extensions/admin_multi_view/language/hr_HR/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/hr_HR/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Dozvoljava administratorima pregledavanje galerije kao gost korisnik i/ili mijenjanje jezika i/ili teme u letu. Praktično za ispravljanje grešaka kod izmjena...
Index: /extensions/admin_multi_view/language/hr_HR/index.php
===================================================================
--- /extensions/admin_multi_view/language/hr_HR/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/hr_HR/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/hu_HU/description.txt
===================================================================
--- /extensions/admin_multi_view/language/hu_HU/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/hu_HU/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Lehetővé teszi a rendszergazdák számára, hogy vendégként tekinthessék meg a galériát, módosíthatják a nyelvet és/vagy a témát menet közben. Praktikus hibakeresés, változtatásoknál ... 
Index: /extensions/admin_multi_view/language/hu_HU/index.php
===================================================================
--- /extensions/admin_multi_view/language/hu_HU/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/hu_HU/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/index.php
===================================================================
--- /extensions/admin_multi_view/language/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/it_IT/description.txt
===================================================================
--- /extensions/admin_multi_view/language/it_IT/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/it_IT/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Permette agli amministratori di vedere la galleria come se fosse un'ospite e/o di cambiare lingua e/o cambiare tema facilmente. Pratico per il debug...
Index: /extensions/admin_multi_view/language/it_IT/index.php
===================================================================
--- /extensions/admin_multi_view/language/it_IT/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/it_IT/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/ja_JP/index.php
===================================================================
--- /extensions/admin_multi_view/language/ja_JP/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/ja_JP/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/ka_GE/description.txt
===================================================================
--- /extensions/admin_multi_view/language/ka_GE/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/ka_GE/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+საშუალებას აძლევს ადმინისტრატორს ნახოს გალერეა როგორც სტუმარმა და/ან შეცვალოს ენა ან/და თემა. სასარგებლოა გამართვისათვის, შეტანილი ცვლილებების გასწორებისათვის...
Index: /extensions/admin_multi_view/language/ka_GE/index.php
===================================================================
--- /extensions/admin_multi_view/language/ka_GE/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/ka_GE/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/km_KH/index.php
===================================================================
--- /extensions/admin_multi_view/language/km_KH/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/km_KH/index.php	(revision 28693)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/lt_LT/description.txt
===================================================================
--- /extensions/admin_multi_view/language/lt_LT/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/lt_LT/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Leidžia administratoriams peržiūrėti galeriją svečio teisėmis, greitai keisti kalbas, išvaizdą. Naudinga debuginant pasikeitimus.
Index: /extensions/admin_multi_view/language/lv_LV/description.txt
===================================================================
--- /extensions/admin_multi_view/language/lv_LV/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/lv_LV/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Dod iespēju Administratoriem apskatīt galeriju kā viesim un/vai nomainīt valodu un/vai tēmu ar vienu darbību. Derīgi skaņošanas darbos...
Index: /extensions/admin_multi_view/language/lv_LV/index.php
===================================================================
--- /extensions/admin_multi_view/language/lv_LV/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/lv_LV/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/mn_MN/index.php
===================================================================
--- /extensions/admin_multi_view/language/mn_MN/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/mn_MN/index.php	(revision 28693)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/nb_NO/description.txt
===================================================================
--- /extensions/admin_multi_view/language/nb_NO/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/nb_NO/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Tillater administratorer å se galleriet som gjest og/eller endre språk og/eller tema i umiddelbart. Praktisk for å feilsøke ved endringer...
Index: /extensions/admin_multi_view/language/nb_NO/index.php
===================================================================
--- /extensions/admin_multi_view/language/nb_NO/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/nb_NO/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/nl_NL/description.txt
===================================================================
--- /extensions/admin_multi_view/language/nl_NL/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/nl_NL/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Biedt administrators de mogelijkheid om een galerie als gast te bekijken en/of makkelijk van taal en/of thema te veranderen. Practisch bij het debuggen van wijzigingen...
Index: /extensions/admin_multi_view/language/nl_NL/index.php
===================================================================
--- /extensions/admin_multi_view/language/nl_NL/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/nl_NL/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/nn_NO/description.txt
===================================================================
--- /extensions/admin_multi_view/language/nn_NO/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/nn_NO/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Tillet administratorar å sjå galleriet som ein gjest og/eller endre språket og/eller temaet "on the fly". Nyttig for å feilsøke når du gjer endringar...
Index: /extensions/admin_multi_view/language/pl_PL/description.txt
===================================================================
--- /extensions/admin_multi_view/language/pl_PL/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/pl_PL/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Pozwala administratorom przeglądać galerię jako gość oraz zmieniać ustawienia języka i grafiki. Praktyczne narzędzie do weryfikacji zmian...
Index: /extensions/admin_multi_view/language/pl_PL/index.php
===================================================================
--- /extensions/admin_multi_view/language/pl_PL/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/pl_PL/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/pt_BR/description.txt
===================================================================
--- /extensions/admin_multi_view/language/pt_BR/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/pt_BR/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Permite que os administradores vejam a galeria como convidado e/ou mude o idioma e/ou tema em tempo real. Prático para debugar as alterações ...
Index: /extensions/admin_multi_view/language/pt_BR/index.php
===================================================================
--- /extensions/admin_multi_view/language/pt_BR/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/pt_BR/index.php	(revision 28693)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/pt_PT/description.txt
===================================================================
--- /extensions/admin_multi_view/language/pt_PT/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/pt_PT/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+description -> Permite aos Administradores ver a galeria como Convidados e/ou mudar o idioma e/ou tema instantaneamente. Práctico para testar mudanças...
Index: /extensions/admin_multi_view/language/pt_PT/index.php
===================================================================
--- /extensions/admin_multi_view/language/pt_PT/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/pt_PT/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/ro_RO/description.txt
===================================================================
--- /extensions/admin_multi_view/language/ro_RO/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/ro_RO/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Permite administratorilor să vizualizeze galeria &icirc;n calitate de invitaţi şi/sau de a schimba limba şi/sau tema instantaneu. Practic pentru a depana schimbări făcute...
Index: /extensions/admin_multi_view/language/ru_RU/description.txt
===================================================================
--- /extensions/admin_multi_view/language/ru_RU/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/ru_RU/description.txt	(revision 28693)
@@ -0,0 +1,3 @@
+Позволяет администраторам просматривать галерею в качестве гостей и / или
+изменить язык и / или тему "на лету". Удобно для
+отладки изменения ...
Index: /extensions/admin_multi_view/language/ru_RU/index.php
===================================================================
--- /extensions/admin_multi_view/language/ru_RU/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/ru_RU/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/sh_RS/description.txt
===================================================================
--- /extensions/admin_multi_view/language/sh_RS/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/sh_RS/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Dozvoljava administratoru da vidi galeriju kao gost i/ili promeni jezik i/ili temu uživo. Praktično za proveru promena...
Index: /extensions/admin_multi_view/language/sk_SK/description.txt
===================================================================
--- /extensions/admin_multi_view/language/sk_SK/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/sk_SK/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Umožňuje administrátorom vidieť galériu aho hosťom a/alebo zmeniť jazyk a-alebo šablónu. Prakticky ladiť zmeny...
Index: /extensions/admin_multi_view/language/sk_SK/index.php
===================================================================
--- /extensions/admin_multi_view/language/sk_SK/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/sk_SK/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/sl_SI/description.txt
===================================================================
--- /extensions/admin_multi_view/language/sl_SI/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/sl_SI/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Omogoči skrbnikom ogled galerije kot gost in/ali spremembo jezika in/ali preobleke v trenutku. Uporabno za odpravljanje napak pri spremembah...
Index: /extensions/admin_multi_view/language/sr_RS/description.txt
===================================================================
--- /extensions/admin_multi_view/language/sr_RS/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/sr_RS/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Дозвољава администратору да види галерију као гост и/или промени језик и/или тему уживо. Практично за проверу промена...
Index: /extensions/admin_multi_view/language/sr_RS/index.php
===================================================================
--- /extensions/admin_multi_view/language/sr_RS/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/sr_RS/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/sv_SE/description.txt
===================================================================
--- /extensions/admin_multi_view/language/sv_SE/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/sv_SE/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Tilllåter administratör att se gallerier som gäst och/eller ändra språk eller tema direkt. Prakiskt vid debug av ändringar...
Index: /extensions/admin_multi_view/language/sv_SE/index.php
===================================================================
--- /extensions/admin_multi_view/language/sv_SE/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/sv_SE/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/th_TH/index.php
===================================================================
--- /extensions/admin_multi_view/language/th_TH/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/th_TH/index.php	(revision 28693)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/tr_TR/description.txt
===================================================================
--- /extensions/admin_multi_view/language/tr_TR/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/tr_TR/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Yöneticilerin galeriye misafir olarak bakmasını ve/veya dili ve/veya temayı değiştirmesini sağlar. Değişiklikleri ayıklamak için kullanışlıdır...
Index: /extensions/admin_multi_view/language/tr_TR/index.php
===================================================================
--- /extensions/admin_multi_view/language/tr_TR/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/tr_TR/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/vi_VN/description.txt
===================================================================
--- /extensions/admin_multi_view/language/vi_VN/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/vi_VN/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+Cho phép Quản trị viên xem thư viện hình như một tài khoản khách và/hoặc thay đổi ngôn ngữ hiển thị và/hoặc giao diện trong thời gian ghé vào thư viện hình. Rất thiết thực cho việc thay đổi những hiệu chỉnh...
Index: /extensions/admin_multi_view/language/vi_VN/index.php
===================================================================
--- /extensions/admin_multi_view/language/vi_VN/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/vi_VN/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/zh_CN/description.txt
===================================================================
--- /extensions/admin_multi_view/language/zh_CN/description.txt	(revision 28693)
+++ /extensions/admin_multi_view/language/zh_CN/description.txt	(revision 28693)
@@ -0,0 +1,1 @@
+允许管理员以客人身份查看相册，或者改变语言和主题。部分改变和调试等...
Index: /extensions/admin_multi_view/language/zh_CN/index.php
===================================================================
--- /extensions/admin_multi_view/language/zh_CN/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/zh_CN/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/zh_HK/index.php
===================================================================
--- /extensions/admin_multi_view/language/zh_HK/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/zh_HK/index.php	(revision 28693)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/language/zh_TW/index.php
===================================================================
--- /extensions/admin_multi_view/language/zh_TW/index.php	(revision 28693)
+++ /extensions/admin_multi_view/language/zh_TW/index.php	(revision 28693)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/admin_multi_view/main.inc.php
===================================================================
--- /extensions/admin_multi_view/main.inc.php	(revision 28693)
+++ /extensions/admin_multi_view/main.inc.php	(revision 28693)
@@ -0,0 +1,50 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 Piwigo team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+/*
+Plugin Name: Multi view
+Version: 2.6.1
+Description: Allows administrators to view gallery as guests and/or change the language and/or theme on the fly. Practical to debug changes...
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=286
+Author: Piwigo team
+Author URI: http://piwigo.org
+*/
+
+add_event_handler('user_init', 'multiview_user_init' );
+add_event_handler('init', 'multiview_init' );
+
+function multiview_user_init()
+{
+  if (!is_admin())
+    return;
+  include_once( dirname(__FILE__).'/is_admin.inc.php' );
+}
+
+function multiview_init()
+{
+  if (!is_admin())
+    return;
+  include_once( dirname(__FILE__).'/is_admin_template.inc.php' );
+}
+
+?>
